public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-php/pecl-memcached/
Date: Thu,  6 Jul 2023 06:08:00 +0000 (UTC)	[thread overview]
Message-ID: <1688623551.082c3e8b5ccbb641505636e5c0b4242cad2f2f6a.sam@gentoo> (raw)

commit:     082c3e8b5ccbb641505636e5c0b4242cad2f2f6a
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Wed Apr 19 09:59:40 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jul  6 06:05:51 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=082c3e8b

dev-php/pecl-memcached: add snapshot with php 8.2 support

Closes: https://bugs.gentoo.org/899584
Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/30649
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-php/pecl-memcached/Manifest                    |  1 +
 .../pecl-memcached-3.2.0_p20230419.ebuild          | 57 ++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-php/pecl-memcached/Manifest b/dev-php/pecl-memcached/Manifest
index 4cda2bfb8930..98225e4da40b 100644
--- a/dev-php/pecl-memcached/Manifest
+++ b/dev-php/pecl-memcached/Manifest
@@ -1 +1,2 @@
 DIST memcached-3.2.0.tgz 90722 BLAKE2B 5bc3ce40803004f45ad397684277862dbaffce467b3026e33d9737d4d93a82f2c89e32a256ebf6db3117a462ff8f81a517ed9950773cb4a0e927aa8af4e834be SHA512 ece5759a9d6d52afd46beb0821811e5d4830e75ad8564af395e2107fd349e271c6e6cf20eeacd9ad15ee2e99ccf0118ccc83c5810e2f3fa7c61f1984b0b26514
+DIST pecl-memcached-3.2.0_p20230419.tar.gz 99453 BLAKE2B 3fb0e0316c9d6de9d727f9fd3a5f723d00aef33adcfa815c6571b99b9f536e9e02e9e7d37c73252dca3d5415aea554c8c16374a018210a1bbd2caa4a0c1263d8 SHA512 74e1b53f2078f343367a6c83e287c2fd29427d42f3db3eac01d3c5dea1eef1cd94130e2e59eaa3bdb368aecac740391ef4961224d5751d81306881291818fa9c

diff --git a/dev-php/pecl-memcached/pecl-memcached-3.2.0_p20230419.ebuild b/dev-php/pecl-memcached/pecl-memcached-3.2.0_p20230419.ebuild
new file mode 100644
index 000000000000..98a7335e675a
--- /dev/null
+++ b/dev-php/pecl-memcached/pecl-memcached-3.2.0_p20230419.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PHP_EXT_NAME="memcached"
+DOCS=( ChangeLog README.markdown )
+
+USE_PHP="php7-4 php8-0 php8-1 php8-2"
+PHP_EXT_NEEDED_USE="json(+)?,session(-)?"
+MY_P="${PN/pecl-/}-${PV/_rc/RC}"
+PHP_EXT_PECL_FILENAME="${MY_P}.tgz"
+GH_COMMIT="6926c53ac32a579b38a0dcc3c8aec662f8cd9dd5"
+PHP_EXT_S="${WORKDIR}/php-memcached-${GH_COMMIT}"
+
+inherit php-ext-pecl-r3
+
+DESCRIPTION="Interface PHP with memcached via libmemcached library"
+SRC_URI="https://github.com/php-memcached-dev/php-memcached/archive/${GH_COMMIT}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/php-memcached-${GH_COMMIT}"
+LICENSE="PHP-3.01"
+SLOT="7"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="igbinary json sasl +session test"
+
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="|| ( dev-libs/libmemcached-awesome[sasl(-)?] >=dev-libs/libmemcached-1.0.14[sasl(-)?] )
+	sys-libs/zlib
+	igbinary? ( dev-php/igbinary[php_targets_php7-4(-)?,php_targets_php8-0(-)?,php_targets_php8-1(-)?,php_targets_php8-2(-)?] )
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+BDEPEND="${COMMON_DEPEND} test? ( net-misc/memcached )"
+
+src_configure() {
+	local PHP_EXT_ECONF_ARGS="--enable-memcached
+		$(use_enable session memcached-session)
+		$(use_enable sasl memcached-sasl)
+		$(use_enable json memcached-json)
+		$(use_enable igbinary memcached-igbinary)"
+
+	php-ext-source-r3_src_configure
+}
+
+src_test() {
+	touch "${T}/memcached.pid" || die
+	local memcached_opts=( -d -P "${T}/memcached.pid" -p 11211 -l 127.0.0.1 -U 11211 )
+	[[ ${EUID} == 0 ]] && memcached_opts+=( -u portage )
+	memcached "${memcached_opts[@]}" || die "Can't start memcached test server"
+
+	local exit_status
+	php-ext-source-r3_src_test
+	exit_status=$?
+
+	kill "$(<"${T}/memcached.pid")"
+	return ${exit_status}
+}


             reply	other threads:[~2023-07-06  6:08 UTC|newest]

Thread overview: 58+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-06  6:08 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-13 12:47 [gentoo-commits] repo/gentoo:master commit in: dev-php/pecl-memcached/ Michael Orlitzky
2024-11-13 11:10 Arthur Zamarin
2024-11-11 13:00 Sam James
2024-11-11 13:00 Sam James
2024-11-11 13:00 Sam James
2024-11-10  2:26 Michael Orlitzky
2024-11-10  2:26 Michael Orlitzky
2023-10-23 21:41 Michael Orlitzky
2022-10-26 19:56 Conrad Kostecki
2022-08-01 12:11 Joonas Niilola
2022-08-01 12:11 Joonas Niilola
2022-08-01  8:02 Agostino Sarubbo
2022-08-01  8:02 Agostino Sarubbo
2022-05-16 23:31 Sam James
2022-05-03 17:30 Brian Evans
2022-03-18 18:06 Brian Evans
2021-11-23 15:18 Brian Evans
2021-08-27 15:31 Brian Evans
2021-01-11 15:05 Brian Evans
2020-11-03 12:58 Sam James
2020-10-28 16:18 Sam James
2020-10-28 16:18 Sam James
2020-10-26 16:12 Thomas Deutschmann
2020-02-11 18:15 Brian Evans
2020-01-28 17:31 Brian Evans
2020-01-28 17:31 Brian Evans
2019-12-12 15:21 Brian Evans
2019-12-09 23:33 Thomas Deutschmann
2019-11-28 21:02 Thomas Deutschmann
2019-11-26  1:04 Aaron Bauman
2019-11-17 21:54 Thomas Deutschmann
2019-11-17 21:01 Thomas Deutschmann
2019-11-03 13:59 Mikle Kolyada
2019-06-06  6:51 Agostino Sarubbo
2019-06-04 19:37 Brian Evans
2019-06-04 19:37 Brian Evans
2019-06-04 16:22 Brian Evans
2019-02-22 15:05 Brian Evans
2019-02-22 15:05 Brian Evans
2019-01-14 15:28 Thomas Deutschmann
2018-04-18 21:30 Aaron Bauman
2017-12-04 17:55 Brian Evans
2017-12-04 17:55 Brian Evans
2017-03-26  0:08 Michael Orlitzky
2017-03-04 15:06 Brian Evans
2017-03-04 13:46 Agostino Sarubbo
2017-03-04 13:38 Agostino Sarubbo
2017-02-04 15:57 Michael Orlitzky
2017-01-12 21:37 Brian Evans
2016-12-12 21:07 Michael Orlitzky
2016-12-12 16:23 Brian Evans
2016-07-14 21:03 Brian Evans
2016-02-14 10:11 Agostino Sarubbo
2016-01-23 17:34 Agostino Sarubbo
2015-12-25 16:20 Agostino Sarubbo
2015-12-07 14:08 Michael Orlitzky
2015-12-07 10:02 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1688623551.082c3e8b5ccbb641505636e5c0b4242cad2f2f6a.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox